---
lang: en
title: 'API docs: authorization.authorizationinterceptor'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authorization
permalink: /doc/en/lb4/apidocs.authorization.authorizationinterceptor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authorization](./authorization.md) &gt; [AuthorizationInterceptor](./authorization.authorizationinterceptor.md)

## AuthorizationInterceptor class

<b>Signature:</b>

```typescript
export declare class AuthorizationInterceptor implements Provider<Interceptor> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[Interceptor](./context.interceptor.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(options)](./authorization.authorizationinterceptor._constructor_.md) |  | Constructs a new instance of the <code>AuthorizationInterceptor</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [intercept(invocationCtx, next)](./authorization.authorizationinterceptor.intercept.md) |  |  |
|  [value()](./authorization.authorizationinterceptor.value.md) |  |  |


